X-Authentication-Warning: cassiopeia.home: geert owned process doing -bs
Date: Sat, 6 Sep 1997 16:33:27 +0200 (MET DST)
From: Geert Uytterhoeven <Geert.Uytterhoeven@cs.kuleuven.ac.be>
To: Linux/m68k <linux-m68k@phil.uni-sb.de>
Cc: Richard Krber <shred@chessy.aworld.de>
Subject: L68K: New Zorro IDs
Sender: owner-linux-m68k@phil.uni-sb.de
Reply-To: Geert Uytterhoeven <Geert.Uytterhoeven@cs.kuleuven.ac.be>


Looks like M-Tech is showing bad behavior, too. Both the Viper Mk V
accelerator/SCSI board and the E-Matrix 530 accelerator/IDE board share the
same product IDs. The E-Matrix is also available with SCSI, but I don't know
its IDs. Probably the same...

--- linux/include/linux/zorro.h.orig	Sun Aug  3 13:42:03 1997
+++ linux/include/linux/zorro.h	Sat Sep  6 16:16:02 1997
@@ -411,9 +411,9 @@
 #define  ZORRO_PROD_MTEC_68030					ZORRO_ID(M_TECH_GERMANY, 0x03, 0)
 #define  ZORRO_PROD_MTEC_68020I					ZORRO_ID(M_TECH_GERMANY, 0x06, 0)
 #define  ZORRO_PROD_MTEC_A1200_T68030_RTC			ZORRO_ID(M_TECH_GERMANY, 0x20, 0)
-#define  ZORRO_PROD_MTEC_VIPER_MK_V				ZORRO_ID(M_TECH_GERMANY, 0x21, 0)
+#define  ZORRO_PROD_MTEC_VIPER_MK_V_E_MATRIX_530		ZORRO_ID(M_TECH_GERMANY, 0x21, 0)
 #define  ZORRO_PROD_MTEC_8_MB_RAM				ZORRO_ID(M_TECH_GERMANY, 0x22, 0)
-#define  ZORRO_PROD_MTEC_VIPER_MK_V_SCSI			ZORRO_ID(M_TECH_GERMANY, 0x24, 0)
+#define  ZORRO_PROD_MTEC_VIPER_MK_V_E_MATRIX_530_SCSI_IDE	ZORRO_ID(M_TECH_GERMANY, 0x24, 0)
 
 #define ZORRO_MANUF_GREAT_VALLEY_PRODUCTS_4			0x0891
 #define  ZORRO_PROD_GVP_EGS_28_24_SPECTRUM_REG			ZORRO_ID(GREAT_VALLEY_PRODUCTS_4, 0x01, 0)
--- linux/arch/m68k/amiga/zorro.c.orig	Sun Aug  3 13:41:53 1997
+++ linux/arch/m68k/amiga/zorro.c	Sat Sep  6 16:16:08 1997
@@ -458,9 +458,9 @@
     PROD("68030", TURBO, MTEC_68030)
     PROD("68020i", TURBO, MTEC_68020I)
     PROD("A1200 T68030 RTC", TURBO, MTEC_A1200_T68030_RTC)
-    PROD("Viper Mk V", TURBO_RAM, MTEC_VIPER_MK_V)
+    PROD("Viper Mk V/E-Matrix 530", TURBO_RAM, MTEC_VIPER_MK_V_E_MATRIX_530)
     PROD("8MB", RAM, MTEC_8_MB_RAM)
-    PROD("Viper Mk V", SCSI, MTEC_VIPER_MK_V_SCSI)
+    PROD("Viper Mk V/E-Matrix 530 SCSI/IDE", SCSI_IDE, MTEC_VIPER_MK_V_E_MATRIX_530_SCSI_IDE)
 END
 
 BEGIN_PROD(GREAT_VALLEY_PRODUCTS_4)

Greetings,

						Geert

--
Geert Uytterhoeven                     Geert.Uytterhoeven@cs.kuleuven.ac.be
Wavelets, Linux/{m68k~Amiga,PPC~CHRP}  http://www.cs.kuleuven.ac.be/~geert/
Department of Computer Science -- Katholieke Universiteit Leuven -- Belgium


